Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 01/01/2022 in all areas

  1. The upgrade has now completed successfully, and we are now running the most recent version of Invision Community. The most obvious change is that the Rank system, which has been a part of this forum for many years, is replaced with a new system called Achievements. The new system is much more flexible. Ranks were based purely on the number of posts that members made. Achievements are based on the number of points acrued. Points are awarded for lots of different things, not just content posting. For example, points are earned for having followers, getting positive reactions etc. In addition to the ranks awarded through achievements, members can also earn badges for passing significant milestones and for excellent work. All of this means that your profile looks a little different than it did before. There are also some changes under the hood, but those shouldn't make any significant difference to your experience. As usual, if you spot anything that doesn't look right, post in this thread to let me know.
    2 points
  2. @CADTutor your forums wouldn't do people like that. You can have things selected before you run this command. So i made a little lisp that selects all blocks in model space then runs this command. ;;----------------------------------------------------------------------------;; ;; CHANGES ALL BLOCK COLOR (defun C:ALL_SETBLOCKCOLOR (/ SS) (if (setq SS (ssget "_X" '((0 . "INSERT") (410 . "Model")))) (progn (sssetfirst nil SS) (C:SETBLOCKCOLOR) ) (prompt "\nNo Blocks in Model Space") ) (princ) ) This replaces the entity selection (one at a time) with and ssget so you can select multiple at a time. With the ssget it filters your selection down to blocks. So you don't have to be to precise with the selection window. just make sure only to select the blocks you want to change. (defun C:SETBLOCKCOLOR (/ _blkcolour c e l) (defun _blkcolour (n c / a e x) (if (and (setq e (tblobjname "block" n)) (not (member n l))) (while (setq e (entnext e)) (entmod (append (vl-remove-if '(lambda (x) (member (car x) '(62 420 430))) (setq x (entget e)) ) c ) ) (if (= "INSERT" (cdr (assoc 0 x))) (_blkcolour (cdr (assoc 2 x)) c) ) ) (setq l (cons n l)) ) nil ) (if (and (setq c (acad_truecolordlg 1)) (setq SS (ssget ":L" '((0 . "INSERT"))))) (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex SS))) (cond ((= 7 (getvar 'errno)) (princ "\nMissed, try again.") ) ((= 'ename (type e)) (_blkcolour (cdr (assoc 2 (entget e))) c) ) ) ) ) (command "_.regen") (princ) )
    2 points
  3. I have moved your thread to the Map3D section here: https://www.cadtutor.net/forum/forum/47-map-3d/
    1 point
  4. Click Home tab Draw panel COGO drop-down COGO Input. In the COGO Input dialog box, select the Bearing/Distance routine. For the first point of an object, specify a starting point. Enter the quadrant (NE, SE, SW, NW). Enter the angle.
    1 point
×
×
  • Create New...